Editor Agent
Save editor preference
POST
/editor-agent/preferencesAuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/editor-agent/preferences" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": 0, "preference": { "context": "string", "editor_kind": "video", "enabled": true, "project_id": "string", "rule": "string", "source_instruction": "string" }, "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/Preference.json", "context": "string", "editor_kind": "video", "enabled": true, "id": "string", "project_id": "string", "revision": 0, "rule": "string", "source_instruction": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string"}